%define name	supybot
%define tar_name Supybot
%define version 0.83.4.1
%define plugins_date 20060723
%define release %mkrel 4

Summary:	A flexible IRC bot
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/supybot/%{tar_name}-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/supybot/%{tar_name}-data.tar.bz2
Source2:	http://prdownloads.sourceforge.net/supybot/%{tar_name}-plugins-%{plugins_date}.tar.bz2
License:	BSD
Group:		Networking/IRC
URL:	    	http://supybot.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	python
Requires:	python-sqlite
BuildRequires:  python-devel
BuildArch:      noarch

%description
Supybot is a flexible IRC bot written in python.
It features many plugins, is easy to extend and to use.

To run it, just use supybot-wizard to create the configuration file.


%package Dcc
Summary:        Supybot Dcc Plugin
Group:          Networking/IRC
Requires:       %{name} = %{version}
Requires:	python-twisted-core

%description Dcc
Supybot Dcc Plugin


%package Webserver
Summary:        Supybot Webserver Plugin
Group:          Networking/IRC
Requires:       %{name} = %{version}
Requires:	python-twisted-web

%description Webserver
Supybot Webserver Plugin


%package Sshd
Summary:        Supybot Sshd Plugin
Group:          Networking/IRC
Requires:       %{name} = %{version}
Requires:	python-twisted-conch

%description Sshd
Supybot Sshd Plugin


%package Gateway
Summary:        Supybot Gateway plugin
Group:          Networking/IRC
Requires:       %{name} = %{version}
Requires:	python-twisted-conch

%description Gateway
Supybot Gateway plugin


%package ExternalNotice
Summary:        Supybot ExternalNotice plugin
Group:          Networking/IRC
Requires:       %{name} = %{version}
Requires:	python-twisted-core

%description ExternalNotice
Supybot ExternalNotice plugin


%prep

%setup -q -n %{tar_name}-%{version}
tar -xjf %{SOURCE1}
tar -xjf %{SOURCE2}

%build
perl -pi -e 's!Download it at <http://pysqlite.sf.net/>!Install the python-sqlite package ( urpmi python-sqlite )!' plugins/*.py
CFLAGS="%{optflags}" python setup.py build

# compile plugins
python %{_libdir}/python%{pyver}/compileall.py \
  -d %{py_puresitedir}/%{name}/plugins \
  %{tar_name}-plugins-%{plugins_date}

%install
rm -rf %{buildroot}

python setup.py install \
    --root="%{buildroot}" \
    --record="INSTALLED_FILES"
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp -R %{name}-data $RPM_BUILD_ROOT/%{_datadir}/%{name}

# install plugins
cp -R %{tar_name}-plugins-%{plugins_date}/* $RPM_BUILD_ROOT/%{py_puresitedir}/%{name}/plugins

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ACKS README  RELNOTES  ChangeLog
%doc docs/GETTING_STARTED
#%doc  examples tools
%{_bindir}/*
%{py_puresitedir}/%{name}*
%{_datadir}/%{name}
%exclude %{py_puresitedir}/%{name}/plugins/Dcc
%exclude %{py_puresitedir}/%{name}/plugins/Webserver
%exclude %{py_puresitedir}/%{name}/plugins/Sshd
%exclude %{py_puresitedir}/%{name}/plugins/Gateway
%exclude %{py_puresitedir}/%{name}/plugins/ExternalNotice

%files Dcc
%defattr(-,root,root)
%{py_puresitedir}/%{name}/plugins/Dcc

%files Webserver
%defattr(-,root,root)
%{py_puresitedir}/%{name}/plugins/Webserver

%files Sshd
%defattr(-,root,root)
%{py_puresitedir}/%{name}/plugins/Sshd

%files Gateway
%defattr(-,root,root)
%{py_puresitedir}/%{name}/plugins/Gateway

%files ExternalNotice
%defattr(-,root,root)
%{py_puresitedir}/%{name}/plugins/ExternalNotice






%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.83.4.1-4.mga4
+ Revision: 544601
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.83.4.1-3.mga4
+ Revision: 499897
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 14 2013 umeabot <umeabot> 0.83.4.1-2.mga3
+ Revision: 383794
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 10 2011 misc <misc> 0.83.4.1-1.mga2
+ Revision: 103210
- imported package supybot


* Thu Jun 9 2011 Lee Forest <lee8oi@gmail.com> 0.83.4.1-1mga1
- rebuilt for mageia 1

* Thu Sep 17 2009 Michael Scherer <misc@mandriva.org> 0.83.4.1-1mdv2010.0
+ Revision: 443934
- new version
- drop patch 1, applied upstream

  + Colin Guthrie <cguthrie@mandriva.org>
    - Fix for python 2.6

* Tue Jan 06 2009 Funda Wang <fundawang@mandriva.org> 0.83.3-5mdv2009.1
+ Revision: 326043
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.83.3-4mdv2009.0
+ Revision: 261274
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.83.3-3mdv2009.0
+ Revision: 253786
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 27 2007 Jérôme Soyer <saispo@mandriva.org> 0.83.3-1mdv2008.1
+ Revision: 138419
- New release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.83.2-6mdv2008.0
+ Revision: 90295
- rebuild

* Sat Aug 25 2007 Gaëtan Lehmann <glehmann@mandriva.org> 0.83.2-5mdv2008.0
+ Revision: 71217
- sre patch


* Thu Dec 21 2006 Gaëtan Lehmann <glehmann@mandriva.org> 0.83.2-4mdv2007.0
+ Revision: 101102
- requires python-sqlite
- requires python

* Thu Dec 21 2006 Gaëtan Lehmann <glehmann@mandriva.org> 0.83.2-3mdv2007.1
+ Revision: 101068
- add plugins

* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.83.2-2mdv2007.1
+ Revision: 91324
- Rebuild against new python

* Wed Oct 04 2006 Michael Scherer <misc@mandriva.org> 0.83.2-1mdv2007.1
+ Revision: 62847
- update to 0.83.2
- fix build on x86_64
- Import supybot

* Fri Jul 21 2006 Michael Scherer <misc@mandriva.org> 0.83.1-2mdv2007.0
- Rebuild

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 0.83.1-1mdk
- New release 0.83.1
- mkrel

* Fri Jan 21 2005 Michael Scherer <misc@mandrake.org> 0.80.1-1mdk
- New release 0.80.1
- fix summary

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.79.9999-2mdk
- Rebuild for new python

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 0.79.9999-1mdk
- New release 0.79.9999

* Sun Aug 29 2004 Michael Scherer <misc@mandrake.org> 0.79.9-1mdk
- New release 0.79.9

* Thu Aug 19 2004 Michael Scherer <misc@mandrake.org> 0.77.2-4mdk 
- BuildRequires

* Wed Aug 18 2004 Michael Scherer <misc@mandrake.org> 0.77.2-3mdk 
- BuildRequires

* Fri Aug 13 2004 Michael Scherer <misc@mandrake.org> 0.77.2-2mdk 
- [DIRM]

* Thu Jul 29 2004 Michael Scherer <misc@mandrake.org> 0.77.2-1mdk 
- First package for Mandrakelinux

